"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RPCSocketServer_1 = require("../src/backend/RPCSocketServer");
//@ts-ignore
const RPCaller_1 = require("../src/frontend/RPCaller");
new RPCSocketServer_1.RPCSocketServer(20000, [{
        name: "HelloWorldRPCGroup",
        exportRPCs: () => [{
                type: 'call',
                name: 'echo',
                func: async (s) => s,
                visibility: 'private'
            }]
    }]);
const caller = new RPCaller_1.RPCaller(20000, 'localhost');
caller.connect().then(_ => {
    caller.info().then(console.log);
    caller["HelloWorldRPCGroup"].echo("x").then(console.log);
});
